<?
$text = abs(intval($_POST['text']));
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if((!isset($_SESSION['id'])) and (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
  document.location.href = "login.php";
  </script>
  <?php
}
$page_title = 'Взлом сейфа';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  require_once('conf/top.php');
}
?><br/>
<div id="main">
<div class="stats">
<center><p class="name">Результаты Взлома:</a></center>
<?php
$user_id = abs(intval($_SESSION['id']));
$query = "SELECT `money`, `vzlom`, `safeP`, `safeT` FROM `users` WHERE `id` = '$user_id'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$row = mysqli_fetch_array($result);
$safeP = $row['safeP'];
if($safeP >= 5 AND time() < $row['safeT']+86400)
{
	echo "Вы использовали все пять попыток в сутки, попробуйте позже.";
	require_once('conf/navig.php');
	require_once('conf/foot.php');
	exit();
}
else if($safeP >= 5 AND time() >= $row['safeT']+86400)
{
	$time = time();
	$safeP = 0;
	$query = "UPDATE `users` SET `safeT` = '$time', `safeP` = '0' WHERE `id` = '$user_id'";
	$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
}
define("minVal", 1);
define("maxVal", 50);
$randValue = rand(minVal, maxVal);
echo "На этот раз пароль от сейфа оказался таким: ". $randValue. "<br>" ;
if(is_numeric($text))
{
	strval(inputtext);
	if($text == $randValue) 
	{
		$safeP++;
		echo '<br><p class="net">Вы угадали пароль от сейфа!';
echo '<br>На ваш счет начислено 500 Золотых.';
		/*$user_id = $_SESSION['id'];
		$query = "SELECT `money`, `safeP`, `safeT` FROM `users` WHERE `id` = '$user_id'";
		$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД1');
		$row = mysqli_fetch_array($result);*/
		$currentMoney = strval($row['money']);
$currentMoney = $currentMoney+500;
$vzlom = $vzlom+1;
		$query = "UPDATE `users` SET `money` = '$currentMoney', `vzlom` = '$vzlom',`safeP` = '$safeP' WHERE `id` = '$user_id'";
		$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');		
	}
	else 
	{
		if($text >= minVal || $text <= maxVal) 
		{ 
			if($text != $randValue) 
			{
				echo '<br>Неверный пароль! Попробуйте еще раз!'; 
				$safeP++;
				$time = time();
				if($safeP == 1) $query = "UPDATE `users` SET `safeP` = '$safeP', `safeT` = '$time' WHERE `id` = '$user_id'";
				else if($safeP > 1) $query = "UPDATE `users` SET `safeP` = '$safeP' WHERE `id` = '$user_id'";
				$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');						
			}
		}
		else echo '<br>Предел цифр: 1-3.';
	}
} else echo "<br>Вы ввели не цифры!";
?><div class="line"></div>
<div id="main">
<div class="stats">
<p><a href="lock.php" class="menu1"><img src="img/ico/left.png" alt="."/> Попробывать еще раз </a></p>
</div><br/>
<?php
require_once('conf/navig.php');
require_once('conf/foot.php');
?>